<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
// ================================================================
// ersetzt woerter eines textes mit den eigetragenen woertern
// der enzyklopaedie und setzt ein link zur beschreibung
// ================================================================
function autowords($text)
{
   $sql = $GLOBALS['db']->Query("SELECT * FROM " . PREFIX . "_glossar where Aktiv='1'");
   $words = array();
   
    while ($arr = $sql->fetcharray())
	{
        array_push($words, array($autowords = $arr['Wort']));
        $s = explode("||", $autowords);

        while (list($key, $val) = each($s)) {
            $w = $val;
			$regexp = "/ ($w) (?![^<]+>)/i";
			$replacement = "<a class=\"autowords\" href=\"javascript:void(0);\" onclick=\"open_window('".HOME_PATH."/index.php?do=autowords&amp;p=misc&amp;id=".$arr['Id']."','GLOSSAR','600','650','1')\"> " . $w. " </a>";
			$text = preg_replace ($regexp,$replacement ,$text);
        } 
    }
    return $text;
}
?>